Skip to main content
POST
/
api
/
session
/
{id}
/
captcha
/
evaluate
JavaScript
import { Hyperbrowser } from '@hyperbrowser/sdk';

const client = new Hyperbrowser({ apiKey: 'your-api-key' });

const result = await client.sessions.evaluateCaptcha('session-id', {
  captchaType: 'recaptcha',
  iterations: 2
});
{
  "success": true,
  "iterationsRequested": 123,
  "iterationsRun": 123,
  "solved": true,
  "solvedCaptchas": [],
  "pages": [
    {
      "url": "<string>",
      "targetId": "<string>",
      "iterationsRun": 123,
      "solved": true,
      "solvedCaptchas": [],
      "checkedCaptchas": [],
      "captchaSolvedCounts": {},
      "lastSolveTime": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://hyperbrowser.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Body

application/json
captcha
enum<string>

CAPTCHA target to evaluate manually.

Available options:
turnstile,
cloudflare-challenge,
aliexpress,
recaptcha,
amazon
captchaType
enum<string>

CAPTCHA target to evaluate manually.

Available options:
turnstile,
cloudflare-challenge,
aliexpress,
recaptcha,
amazon
text
enum<string>

CAPTCHA target to evaluate manually.

Available options:
turnstile,
cloudflare-challenge,
aliexpress,
recaptcha,
amazon
iterations
integer
Required range: 1 <= x <= 20
maxIterations
integer
Required range: 1 <= x <= 20
solverType
enum<string>

Optional CAPTCHA solver mode. Set to visual to use the visual reCAPTCHA solver.

Available options:
visual
imageCaptchaParams
object[]
useUltraStealth
boolean

Response

CAPTCHA evaluation completed

success
boolean
captcha
enum<string>

CAPTCHA target to evaluate manually.

Available options:
turnstile,
cloudflare-challenge,
aliexpress,
recaptcha,
amazon
iterationsRequested
integer
iterationsRun
integer
solved
boolean
solvedCaptchas
enum<string>[]

CAPTCHA target to evaluate manually.

Available options:
turnstile,
cloudflare-challenge,
aliexpress,
recaptcha,
amazon
pages
object[]